import greenfoot.*;

public class Mushroom extends Actor
{
    protected void addedToWorld(World w)
    {
        int size = w.getCellSize()-12;
        getImage().scale(size, size);
        getImage().setTransparency(200);
    }

    public boolean canMove(int dx, int dy)
    {
        Actor mushroom = getOneObjectAtOffset(dx, dy, Mushroom.class);
        Actor wall = getOneObjectAtOffset(dx, dy, Wall.class);
        if (wall != null || mushroom != null) return false; // obstructed; do not move
        setLocation(getX()+dx, getY()+dy);
        return true; // moved
    }
}